﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="MindFusion.Scheduling.Samples.VB.MinimalApplication._Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
	TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>MindFusion WebPlanner Sample - Minimal Application</title>
	<link href="common/jquery-ui.min.css" rel="stylesheet" />
	<link href="common/samples.css" rel="stylesheet" />
	<script type="text/javascript" src="common/jquery.min.js"></script>
	<script type="text/javascript" src="common/jquery-ui.min.js"></script>
	<script type="text/javascript" src="common/samples.js"></script>
	<style type="text/css">
		.Button
		{
			height: 30px;
			width: 30px;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server">
	</asp:ScriptManager>
	<input type="hidden" id="collapsed" runat="server" />
	<div id="header" style="height: 49px;">
		<div style="float: left; margin-top: 17px;">
			<asp:ImageButton ID="btnSingleMonth" runat="server" AlternateText="Single Month"
				ImageUrl="~/Images/0.png" ToolTip="Single Month" CssClass="Button" OnClick="btnSingleMonth_Click" />
			<asp:ImageButton ID="btnMonthRange" runat="server" AlternateText="Month Range" ImageUrl="~/Images/4.png"
				ToolTip="Month Range" CssClass="Button" OnClick="btnMonthRange_Click" />
			<asp:ImageButton ID="btnListView" runat="server" ToolTip="List" AlternateText="List"
				CssClass="Button" ImageUrl="Images/1.png" OnClick="btnListView_Click" />
			<asp:ImageButton ID="btnWeekRange" runat="server" AccessKey="W" AlternateText="Week Range"
				CssClass="Button" ImageUrl="~/Images/2.png" OnClick="btnWeekRange_Click" ToolTip="Week Range" />
			<asp:ImageButton ID="btnTimetable" runat="server" AlternateText="Timetable" CssClass="Button"
				ImageUrl="~/Images/3.png" OnClick="btnTimetable_Click" ToolTip="Timetable" />
		</div>
		<div style="float: right; margin-right: 5px; margin-top: 17px;">
			<button id="expandButton" onclick="onExpandCollapse()">
				&gt;</button>
		</div>
	</div>
	<div id="info" style="top: 60px; bottom: 24px;">
		<div id="infoTab" style="padding: 10px;">
			<h1>
				About this sample</h1>
			<p>
				A sample program that shows everything needed to embed MindFusion.Scheduling in
				a web page.</p>
		</div>
	</div>
	<div id="content" style="top: 60px; bottom: 24px;">
		<div style="position: absolute; left: 0px; top: 0px; bottom: 0px; right: 0px">
			<MindFusion:Calendar ID="_calendar" runat="server" Height="100%" Width="100%" CurrentView="WeekRange"
				Theme="Windows2003" AutoPostBack="True">
				<WeekRangeSettings HeaderStyle="Title">
					<DaySettings GeneralFormat="d " FirstDayOfMonthFormat="d " FirstDayOfYearFormat="d "
						ShowToday="Enabled">
					</DaySettings>
				</WeekRangeSettings>
				<MonthSettings DayOfWeekFormat="Abbreviated" ShowPaddingItems="Disabled" HeaderStyle="Title, MonthButtons, YearButtons"
					HideTrailingWeeks="Disabled" DayNamesHeader="Enabled" WeekHeaderStyle="Left"
					ShowPaddingDays="Enabled" MainHeaderHeight="30px" DayNamesHeaderHeight="16px"
					WeekNumbersHeaderWidth="20px" TitleFormat="MMMM, yyyy" WeekHeaderFormat="%w">
					<DaySettings GeneralFormat="d " FirstDayOfMonthFormat="d " FirstDayOfYearFormat="d "
						ShowToday="Enabled">
					</DaySettings>
				</MonthSettings>
				<ListViewSettings TitleFormat="ddd,&lt;br /&gt;dd MMM" ShowNavigationButtons="Enabled">
					<CellSettings GeneralFormat="d " FirstDayOfMonthFormat="d " FirstDayOfYearFormat="d ">
					</CellSettings>
				</ListViewSettings>
			</MindFusion:Calendar>
		</div>
	</div>
	<div id="footer" style="height: 24px;">
		<span id="copyright"></span>
	</div>
	</form>
</body>
</html>
