﻿'
' Copyright (c) 2009-2015, MindFusion LLC - Bulgaria.
'
Imports MindFusion.Scheduling
Imports MindFusion.Scheduling.WebForms

Partial Public Class _Default
	Inherits System.Web.UI.Page
	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
		If Not IsPostBack Then
			'Set the calendar's date to be today
			_calendar.[Date] = DateTime.Today
		End If
		_calendar.TimetableSettings.Dates.Clear()
		_calendar.TimetableSettings.Dates.Add(New TimetableDate(DateTime.Today))
	End Sub

	'Switch the calendar view to Single Month
	Protected Sub btnSingleMonth_Click(ByVal sender As Object, ByVal e As ImageClickEventArgs) Handles btnSingleMonth.Click
		_calendar.CurrentView = CalendarView.SingleMonth
	End Sub

	'Switch the calendar view to List
	Protected Sub btnListView_Click(ByVal sender As Object, ByVal e As ImageClickEventArgs) Handles btnListView.Click
		_calendar.CurrentView = CalendarView.List
	End Sub

	'Switch the calendar view to Week Range
	Protected Sub btnWeekRange_Click(ByVal sender As Object, ByVal e As ImageClickEventArgs) Handles btnWeekRange.Click
		_calendar.CurrentView = CalendarView.WeekRange
	End Sub

	'Switch the calendar view to Timetable
	Protected Sub btnTimetable_Click(ByVal sender As Object, ByVal e As ImageClickEventArgs) Handles btnTimetable.Click
		_calendar.CurrentView = CalendarView.Timetable
	End Sub

	' Switch the calendar view to Month Range
	Protected Sub btnMonthRange_Click(ByVal sender As Object, ByVal e As ImageClickEventArgs) Handles btnMonthRange.Click
		_calendar.CurrentView = CalendarView.MonthRange
	End Sub
End Class
